From 760da9a95ec39fba699b233d6de2c6d6e505ef71 Mon Sep 17 00:00:00 2001
From: Sascha Wildner <saw@online.de>
Date: Sun, 5 Jun 2016 13:02:16 +0200
Subject: [PATCH] WIP

---
 Makefile_upgrade.inc                           |   21 +
 UPDATING                                       |    7 +
 contrib/amd/AUTHORS                            |  276 -
 contrib/amd/BUGS                               |  128 -
 contrib/amd/COPYING                            |   37 -
 contrib/amd/ChangeLog                          | 6153 ------------------
 contrib/amd/FREEBSD-Xlist                      |  128 -
 contrib/amd/FREEBSD-upgrade                    |   31 -
 contrib/amd/INSTALL                            |  153 -
 contrib/amd/MIRRORS                            |   50 -
 contrib/amd/NEWS                               |  762 ---
 contrib/amd/README                             |  105 -
 contrib/amd/README.y2k                         |   29 -
 contrib/amd/TODO                               |  177 -
 contrib/amd/amd/am_ops.c                       |  458 --
 contrib/amd/amd/amd.8                          |  350 -
 contrib/amd/amd/amd.c                          |  558 --
 contrib/amd/amd/amd.h                          |  306 -
 contrib/amd/amd/amfs_auto.c                    | 1605 -----
 contrib/amd/amd/amfs_direct.c                  |  106 -
 contrib/amd/amd/amfs_error.c                   |  150 -
 contrib/amd/amd/amfs_host.c                    |  686 --
 contrib/amd/amd/amfs_inherit.c                 |  200 -
 contrib/amd/amd/amfs_link.c                    |  141 -
 contrib/amd/amd/amfs_linkx.c                   |  103 -
 contrib/amd/amd/amfs_nfsl.c                    |  237 -
 contrib/amd/amd/amfs_nfsx.c                    |  532 --
 contrib/amd/amd/amfs_program.c                 |  193 -
 contrib/amd/amd/amfs_root.c                    |   99 -
 contrib/amd/amd/amfs_toplvl.c                  |  359 --
 contrib/amd/amd/amfs_union.c                   |  124 -
 contrib/amd/amd/amq_subr.c                     |  504 --
 contrib/amd/amd/amq_svc.c                      |  161 -
 contrib/amd/amd/autil.c                        |  418 --
 contrib/amd/amd/clock.c                        |  248 -
 contrib/amd/amd/conf.c                         |  971 ---
 contrib/amd/amd/conf_parse.y                   |  175 -
 contrib/amd/amd/conf_tok.l                     |  186 -
 contrib/amd/amd/get_args.c                     |  393 --
 contrib/amd/amd/info_file.c                    |  265 -
 contrib/amd/amd/info_hesiod.c                  |  200 -
 contrib/amd/amd/info_ldap.c                    |  475 --
 contrib/amd/amd/info_ndbm.c                    |  141 -
 contrib/amd/amd/info_nis.c                     |  454 --
 contrib/amd/amd/info_nisplus.c                 |  321 -
 contrib/amd/amd/info_passwd.c                  |  195 -
 contrib/amd/amd/info_union.c                   |  149 -
 contrib/amd/amd/map.c                          | 1112 ----
 contrib/amd/amd/mapc.c                         | 1273 ----
 contrib/amd/amd/mntfs.c                        |  335 -
 contrib/amd/amd/nfs_prot_svc.c                 |  271 -
 contrib/amd/amd/nfs_start.c                    |  476 --
 contrib/amd/amd/nfs_subr.c                     |  617 --
 contrib/amd/amd/ops_TEMPLATE.c                 |  293 -
 contrib/amd/amd/ops_autofs.c                   | 1281 ----
 contrib/amd/amd/ops_cachefs.c                  |  247 -
 contrib/amd/amd/ops_cdfs.c                     |  219 -
 contrib/amd/amd/ops_efs.c                      |  164 -
 contrib/amd/amd/ops_lofs.c                     |  154 -
 contrib/amd/amd/ops_mfs.c                      |   55 -
 contrib/amd/amd/ops_nfs.c                      |  804 ---
 contrib/amd/amd/ops_nfs3.c                     |   55 -
 contrib/amd/amd/ops_nullfs.c                   |   55 -
 contrib/amd/amd/ops_pcfs.c                     |  179 -
 contrib/amd/amd/ops_tfs.c                      |   55 -
 contrib/amd/amd/ops_tmpfs.c                    |   55 -
 contrib/amd/amd/ops_ufs.c                      |  173 -
 contrib/amd/amd/ops_umapfs.c                   |   55 -
 contrib/amd/amd/ops_unionfs.c                  |   55 -
 contrib/amd/amd/ops_xfs.c                      |  164 -
 contrib/amd/amd/opts.c                         | 1327 ----
 contrib/amd/amd/restart.c                      |  208 -
 contrib/amd/amd/rpc_fwd.c                      |  476 --
 contrib/amd/amd/sched.c                        |  300 -
 contrib/amd/amd/srvr_amfs_auto.c               |  214 -
 contrib/amd/amd/srvr_nfs.c                     |  862 ---
 contrib/amd/amq/amq.8                          |  215 -
 contrib/amd/amq/amq.c                          |  961 ---
 contrib/amd/amq/amq.h                          |   63 -
 contrib/amd/amq/amq_clnt.c                     |  208 -
 contrib/amd/amq/amq_xdr.c                      |  259 -
 contrib/amd/amq/pawd.1                         |   81 -
 contrib/amd/amq/pawd.c                         |  290 -
 contrib/amd/conf/checkmount/checkmount_bsd44.c |   78 -
 contrib/amd/conf/fh_dref/fh_dref_freebsd22.h   |    2 -
 contrib/amd/conf/hn_dref/hn_dref_default.h     |    2 -
 contrib/amd/conf/mtab/mtab_bsd.c               |  145 -
 contrib/amd/conf/nfs_prot/nfs_prot_freebsd2.h  |  151 -
 contrib/amd/conf/nfs_prot/nfs_prot_freebsd3.h  |  200 -
 contrib/amd/conf/sa_dref/sa_dref_bsd44.h       |    5 -
 contrib/amd/conf/transp/transp_sockets.c       |  386 --
 contrib/amd/conf/trap/trap_default.h           |    2 -
 contrib/amd/conf/umount/umount_bsd44.c         |   89 -
 contrib/amd/doc/am-utils.texi                  | 8143 ------------------------
 contrib/amd/doc/stamp-vti                      |    3 -
 contrib/amd/doc/texinfo.tex                    | 5467 ----------------
 contrib/amd/doc/version.texi                   |    3 -
 contrib/amd/fixmount/fixmount.8                |  181 -
 contrib/amd/fixmount/fixmount.c                |  609 --
 contrib/amd/fsinfo/fsi_analyze.c               |  670 --
 contrib/amd/fsinfo/fsi_data.h                  |  235 -
 contrib/amd/fsinfo/fsi_dict.c                  |  138 -
 contrib/amd/fsinfo/fsi_gram.y                  |  435 --
 contrib/amd/fsinfo/fsi_lex.l                   |  268 -
 contrib/amd/fsinfo/fsi_util.c                  |  693 --
 contrib/amd/fsinfo/fsinfo.8                    |  189 -
 contrib/amd/fsinfo/fsinfo.c                    |  290 -
 contrib/amd/fsinfo/fsinfo.h                    |  131 -
 contrib/amd/fsinfo/wr_atab.c                   |  334 -
 contrib/amd/fsinfo/wr_bparam.c                 |  109 -
 contrib/amd/fsinfo/wr_dumpset.c                |   96 -
 contrib/amd/fsinfo/wr_exportfs.c               |  108 -
 contrib/amd/fsinfo/wr_fstab.c                  |  342 -
 contrib/amd/hlfsd/hlfsd.8                      |  320 -
 contrib/amd/hlfsd/hlfsd.c                      |  955 ---
 contrib/amd/hlfsd/hlfsd.h                      |  170 -
 contrib/amd/hlfsd/homedir.c                    |  801 ---
 contrib/amd/hlfsd/nfs_prot_svc.c               |  250 -
 contrib/amd/hlfsd/stubs.c                      |  531 --
 contrib/amd/include/am_compat.h                |  270 -
 contrib/amd/include/am_defs.h                  | 1422 -----
 contrib/amd/include/am_utils.h                 |  975 ---
 contrib/amd/include/am_xdr_func.h              |  203 -
 contrib/amd/include/amq_defs.h                 |  157 -
 contrib/amd/libamu/alloca.c                    |  504 --
 contrib/amd/libamu/amu.h                       |   78 -
 contrib/amd/libamu/clnt_sperrno.c              |  147 -
 contrib/amd/libamu/hasmntopt.c                 |  119 -
 contrib/amd/libamu/misc_rpc.c                  |  168 -
 contrib/amd/libamu/mount_fs.c                  |  934 ---
 contrib/amd/libamu/mtab.c                      |  121 -
 contrib/amd/libamu/nfs_prot_xdr.c              |   59 -
 contrib/amd/libamu/util.c                      |  176 -
 contrib/amd/libamu/wire.c                      |  501 --
 contrib/amd/libamu/xdr_func.c                  | 1155 ----
 contrib/amd/libamu/xutil.c                     |  903 ---
 contrib/amd/mk-amd-map/mk-amd-map.8            |   65 -
 contrib/amd/mk-amd-map/mk-amd-map.c            |  384 --
 contrib/amd/scripts/Makefile.am                |   49 -
 contrib/amd/scripts/Makefile.in                |  381 --
 contrib/amd/scripts/am-eject.in                |   52 -
 contrib/amd/scripts/amd.conf-sample            |   97 -
 contrib/amd/scripts/amd.conf.5                 |  756 ---
 contrib/amd/scripts/amd2ldif.in                |   58 -
 contrib/amd/scripts/amd2sun.in                 |   51 -
 contrib/amd/scripts/automount2amd.8            |  106 -
 contrib/amd/scripts/automount2amd.in           |   72 -
 contrib/amd/scripts/ctl-amd.in                 |  121 -
 contrib/amd/scripts/ctl-hlfsd.in               |  107 -
 contrib/amd/scripts/expn.1                     | 1370 ----
 contrib/amd/scripts/expn.in                    | 1369 ----
 contrib/amd/scripts/fix-amd-map.in             |   52 -
 contrib/amd/scripts/fixrmtab.in                |   24 -
 contrib/amd/scripts/lostaltmail.conf-sample    |   84 -
 contrib/amd/scripts/lostaltmail.in             |  649 --
 contrib/amd/scripts/wait4amd.in                |   45 -
 contrib/amd/scripts/wait4amd2die.in            |   49 -
 contrib/amd/tasks                              |  104 -
 contrib/amd/wire-test/wire-test.8              |   83 -
 contrib/amd/wire-test/wire-test.c              |  131 -
 etc/Makefile                                   |    2 +-
 etc/amd.map                                    |    5 -
 etc/defaults/periodic.conf                     |    3 +-
 etc/defaults/rc.conf                           |    3 -
 etc/newsyslog.conf                             |    2 -
 etc/periodic/security/200.chkmounts            |    5 -
 etc/rc.d/Makefile                              |    4 +-
 etc/rc.d/amd                                   |   52 -
 etc/rpc                                        |    2 -
 share/examples/etc/README.examples             |    1 -
 share/man/man5/periodic.conf.5                 |   10 -
 share/man/man5/rc.conf.5                       |   32 -
 usr.bin/catman/catman.c                        |    2 +-
 usr.bin/quota/quota.c                          |    7 -
 usr.sbin/Makefile                              |    1 -
 usr.sbin/amd/Makefile                          |   12 -
 usr.sbin/amd/Makefile.inc                      |   37 -
 usr.sbin/amd/NOTES                             |    3 -
 usr.sbin/amd/amd/Makefile                      |   42 -
 usr.sbin/amd/amd/am-utils.7                    | 7791 -----------------------
 usr.sbin/amd/amq/Makefile                      |   22 -
 usr.sbin/amd/fixmount/Makefile                 |   24 -
 usr.sbin/amd/fsinfo/Makefile                   |   25 -
 usr.sbin/amd/hlfsd/Makefile                    |   22 -
 usr.sbin/amd/include/Makefile                  |   27 -
 usr.sbin/amd/include/amu_nfs_prot.h            |    1 -
 usr.sbin/amd/include/aux_conf.h                |   80 -
 usr.sbin/amd/include/build_version.h           |    7 -
 usr.sbin/amd/include/config.h                  | 2024 ------
 usr.sbin/amd/include/newvers.sh                |   34 -
 usr.sbin/amd/libamu/Makefile                   |   32 -
 usr.sbin/amd/mk-amd-map/Makefile               |   15 -
 usr.sbin/amd/pawd/Makefile                     |   22 -
 usr.sbin/amd/scripts/Makefile                  |    8 -
 usr.sbin/amd/wire-test/Makefile                |   18 -
 usr.sbin/ypserv/Makefile.yp                    |   29 -
 usr.sbin/ypserv/ypinit.sh                      |    3 +-
 197 files changed, 34 insertions(+), 80188 deletions(-)
 delete mode 100644 contrib/amd/AUTHORS
 delete mode 100644 contrib/amd/BUGS
 delete mode 100644 contrib/amd/COPYING
 delete mode 100644 contrib/amd/ChangeLog
 delete mode 100644 contrib/amd/FREEBSD-Xlist
 delete mode 100644 contrib/amd/FREEBSD-upgrade
 delete mode 100644 contrib/amd/INSTALL
 delete mode 100644 contrib/amd/MIRRORS
 delete mode 100644 contrib/amd/NEWS
 delete mode 100644 contrib/amd/README
 delete mode 100644 contrib/amd/README.y2k
 delete mode 100644 contrib/amd/TODO
 delete mode 100644 contrib/amd/amd/am_ops.c
 delete mode 100644 contrib/amd/amd/amd.8
 delete mode 100644 contrib/amd/amd/amd.c
 delete mode 100644 contrib/amd/amd/amd.h
 delete mode 100644 contrib/amd/amd/amfs_auto.c
 delete mode 100644 contrib/amd/amd/amfs_direct.c
 delete mode 100644 contrib/amd/amd/amfs_error.c
 delete mode 100644 contrib/amd/amd/amfs_host.c
 delete mode 100644 contrib/amd/amd/amfs_inherit.c
 delete mode 100644 contrib/amd/amd/amfs_link.c
 delete mode 100644 contrib/amd/amd/amfs_linkx.c
 delete mode 100644 contrib/amd/amd/amfs_nfsl.c
 delete mode 100644 contrib/amd/amd/amfs_nfsx.c
 delete mode 100644 contrib/amd/amd/amfs_program.c
 delete mode 100644 contrib/amd/amd/amfs_root.c
 delete mode 100644 contrib/amd/amd/amfs_toplvl.c
 delete mode 100644 contrib/amd/amd/amfs_union.c
 delete mode 100644 contrib/amd/amd/amq_subr.c
 delete mode 100644 contrib/amd/amd/amq_svc.c
 delete mode 100644 contrib/amd/amd/autil.c
 delete mode 100644 contrib/amd/amd/clock.c
 delete mode 100644 contrib/amd/amd/conf.c
 delete mode 100644 contrib/amd/amd/conf_parse.y
 delete mode 100644 contrib/amd/amd/conf_tok.l
 delete mode 100644 contrib/amd/amd/get_args.c
 delete mode 100644 contrib/amd/amd/info_file.c
 delete mode 100644 contrib/amd/amd/info_hesiod.c
 delete mode 100644 contrib/amd/amd/info_ldap.c
 delete mode 100644 contrib/amd/amd/info_ndbm.c
 delete mode 100644 contrib/amd/amd/info_nis.c
 delete mode 100644 contrib/amd/amd/info_nisplus.c
 delete mode 100644 contrib/amd/amd/info_passwd.c
 delete mode 100644 contrib/amd/amd/info_union.c
 delete mode 100644 contrib/amd/amd/map.c
 delete mode 100644 contrib/amd/amd/mapc.c
 delete mode 100644 contrib/amd/amd/mntfs.c
 delete mode 100644 contrib/amd/amd/nfs_prot_svc.c
 delete mode 100644 contrib/amd/amd/nfs_start.c
 delete mode 100644 contrib/amd/amd/nfs_subr.c
 delete mode 100644 contrib/amd/amd/ops_TEMPLATE.c
 delete mode 100644 contrib/amd/amd/ops_autofs.c
 delete mode 100644 contrib/amd/amd/ops_cachefs.c
 delete mode 100644 contrib/amd/amd/ops_cdfs.c
 delete mode 100644 contrib/amd/amd/ops_efs.c
 delete mode 100644 contrib/amd/amd/ops_lofs.c
 delete mode 100644 contrib/amd/amd/ops_mfs.c
 delete mode 100644 contrib/amd/amd/ops_nfs.c
 delete mode 100644 contrib/amd/amd/ops_nfs3.c
 delete mode 100644 contrib/amd/amd/ops_nullfs.c
 delete mode 100644 contrib/amd/amd/ops_pcfs.c
 delete mode 100644 contrib/amd/amd/ops_tfs.c
 delete mode 100644 contrib/amd/amd/ops_tmpfs.c
 delete mode 100644 contrib/amd/amd/ops_ufs.c
 delete mode 100644 contrib/amd/amd/ops_umapfs.c
 delete mode 100644 contrib/amd/amd/ops_unionfs.c
 delete mode 100644 contrib/amd/amd/ops_xfs.c
 delete mode 100644 contrib/amd/amd/opts.c
 delete mode 100644 contrib/amd/amd/restart.c
 delete mode 100644 contrib/amd/amd/rpc_fwd.c
 delete mode 100644 contrib/amd/amd/sched.c
 delete mode 100644 contrib/amd/amd/srvr_amfs_auto.c
 delete mode 100644 contrib/amd/amd/srvr_nfs.c
 delete mode 100644 contrib/amd/amq/amq.8
 delete mode 100644 contrib/amd/amq/amq.c
 delete mode 100644 contrib/amd/amq/amq.h
 delete mode 100644 contrib/amd/amq/amq_clnt.c
 delete mode 100644 contrib/amd/amq/amq_xdr.c
 delete mode 100644 contrib/amd/amq/pawd.1
 delete mode 100644 contrib/amd/amq/pawd.c
 delete mode 100644 contrib/amd/conf/checkmount/checkmount_bsd44.c
 delete mode 100644 contrib/amd/conf/fh_dref/fh_dref_freebsd22.h
 delete mode 100644 contrib/amd/conf/hn_dref/hn_dref_default.h
 delete mode 100644 contrib/amd/conf/mtab/mtab_bsd.c
 delete mode 100644 contrib/amd/conf/nfs_prot/nfs_prot_freebsd2.h
 delete mode 100644 contrib/amd/conf/nfs_prot/nfs_prot_freebsd3.h
 delete mode 100644 contrib/amd/conf/sa_dref/sa_dref_bsd44.h
 delete mode 100644 contrib/amd/conf/transp/transp_sockets.c
 delete mode 100644 contrib/amd/conf/trap/trap_default.h
 delete mode 100644 contrib/amd/conf/umount/umount_bsd44.c
 delete mode 100644 contrib/amd/doc/am-utils.texi
 delete mode 100644 contrib/amd/doc/stamp-vti
 delete mode 100644 contrib/amd/doc/texinfo.tex
 delete mode 100644 contrib/amd/doc/version.texi
 delete mode 100644 contrib/amd/fixmount/fixmount.8
 delete mode 100644 contrib/amd/fixmount/fixmount.c
 delete mode 100644 contrib/amd/fsinfo/fsi_analyze.c
 delete mode 100644 contrib/amd/fsinfo/fsi_data.h
 delete mode 100644 contrib/amd/fsinfo/fsi_dict.c
 delete mode 100644 contrib/amd/fsinfo/fsi_gram.y
 delete mode 100644 contrib/amd/fsinfo/fsi_lex.l
 delete mode 100644 contrib/amd/fsinfo/fsi_util.c
 delete mode 100644 contrib/amd/fsinfo/fsinfo.8
 delete mode 100644 contrib/amd/fsinfo/fsinfo.c
 delete mode 100644 contrib/amd/fsinfo/fsinfo.h
 delete mode 100644 contrib/amd/fsinfo/wr_atab.c
 delete mode 100644 contrib/amd/fsinfo/wr_bparam.c
 delete mode 100644 contrib/amd/fsinfo/wr_dumpset.c
 delete mode 100644 contrib/amd/fsinfo/wr_exportfs.c
 delete mode 100644 contrib/amd/fsinfo/wr_fstab.c
 delete mode 100644 contrib/amd/hlfsd/hlfsd.8
 delete mode 100644 contrib/amd/hlfsd/hlfsd.c
 delete mode 100644 contrib/amd/hlfsd/hlfsd.h
 delete mode 100644 contrib/amd/hlfsd/homedir.c
 delete mode 100644 contrib/amd/hlfsd/nfs_prot_svc.c
 delete mode 100644 contrib/amd/hlfsd/stubs.c
 delete mode 100644 contrib/amd/include/am_compat.h
 delete mode 100644 contrib/amd/include/am_defs.h
 delete mode 100644 contrib/amd/include/am_utils.h
 delete mode 100644 contrib/amd/include/am_xdr_func.h
 delete mode 100644 contrib/amd/include/amq_defs.h
 delete mode 100644 contrib/amd/libamu/alloca.c
 delete mode 100644 contrib/amd/libamu/amu.h
 delete mode 100644 contrib/amd/libamu/clnt_sperrno.c
 delete mode 100644 contrib/amd/libamu/hasmntopt.c
 delete mode 100644 contrib/amd/libamu/misc_rpc.c
 delete mode 100644 contrib/amd/libamu/mount_fs.c
 delete mode 100644 contrib/amd/libamu/mtab.c
 delete mode 100644 contrib/amd/libamu/nfs_prot_xdr.c
 delete mode 100644 contrib/amd/libamu/util.c
 delete mode 100644 contrib/amd/libamu/wire.c
 delete mode 100644 contrib/amd/libamu/xdr_func.c
 delete mode 100644 contrib/amd/libamu/xutil.c
 delete mode 100644 contrib/amd/mk-amd-map/mk-amd-map.8
 delete mode 100644 contrib/amd/mk-amd-map/mk-amd-map.c
 delete mode 100644 contrib/amd/scripts/Makefile.am
 delete mode 100644 contrib/amd/scripts/Makefile.in
 delete mode 100644 contrib/amd/scripts/am-eject.in
 delete mode 100644 contrib/amd/scripts/amd.conf-sample
 delete mode 100644 contrib/amd/scripts/amd.conf.5
 delete mode 100755 contrib/amd/scripts/amd2ldif.in
 delete mode 100755 contrib/amd/scripts/amd2sun.in
 delete mode 100644 contrib/amd/scripts/automount2amd.8
 delete mode 100755 contrib/amd/scripts/automount2amd.in
 delete mode 100755 contrib/amd/scripts/ctl-amd.in
 delete mode 100755 contrib/amd/scripts/ctl-hlfsd.in
 delete mode 100644 contrib/amd/scripts/expn.1
 delete mode 100755 contrib/amd/scripts/expn.in
 delete mode 100755 contrib/amd/scripts/fix-amd-map.in
 delete mode 100755 contrib/amd/scripts/fixrmtab.in
 delete mode 100644 contrib/amd/scripts/lostaltmail.conf-sample
 delete mode 100755 contrib/amd/scripts/lostaltmail.in
 delete mode 100755 contrib/amd/scripts/wait4amd.in
 delete mode 100755 contrib/amd/scripts/wait4amd2die.in
 delete mode 100644 contrib/amd/tasks
 delete mode 100644 contrib/amd/wire-test/wire-test.8
 delete mode 100644 contrib/amd/wire-test/wire-test.c
 delete mode 100644 etc/amd.map
 delete mode 100644 etc/rc.d/amd
 delete mode 100644 usr.sbin/amd/Makefile
 delete mode 100644 usr.sbin/amd/Makefile.inc
 delete mode 100644 usr.sbin/amd/NOTES
 delete mode 100644 usr.sbin/amd/amd/Makefile
 delete mode 100644 usr.sbin/amd/amd/am-utils.7
 delete mode 100644 usr.sbin/amd/amq/Makefile
 delete mode 100644 usr.sbin/amd/fixmount/Makefile
 delete mode 100644 usr.sbin/amd/fsinfo/Makefile
 delete mode 100644 usr.sbin/amd/hlfsd/Makefile
 delete mode 100644 usr.sbin/amd/include/Makefile
 delete mode 100644 usr.sbin/amd/include/amu_nfs_prot.h
 delete mode 100644 usr.sbin/amd/include/aux_conf.h
 delete mode 100644 usr.sbin/amd/include/build_version.h
 delete mode 100644 usr.sbin/amd/include/config.h
 delete mode 100644 usr.sbin/amd/include/newvers.sh
 delete mode 100644 usr.sbin/amd/libamu/Makefile
 delete mode 100644 usr.sbin/amd/mk-amd-map/Makefile
 delete mode 100644 usr.sbin/amd/pawd/Makefile
 delete mode 100644 usr.sbin/amd/scripts/Makefile
 delete mode 100644 usr.sbin/amd/wire-test/Makefile

diff --git a/Makefile_upgrade.inc b/Makefile_upgrade.inc
index 9214853..a21c198 100644
--- a/Makefile_upgrade.inc
+++ b/Makefile_upgrade.inc
@@ -3093,6 +3093,27 @@ TO_REMOVE+=/usr/share/man/man4/an.4.gz
 TO_REMOVE+=/usr/share/man/man4/if_an.4.gz
 TO_REMOVE+=/usr/share/man/man8/ancontrol.8.gz
 TO_REMOVE+=/usr/share/man/man4/ieee80211.4.gz
+TO_REMOVE+=/etc/amd.map
+TO_REMOVE+=/etc/rc.d/amd
+TO_REMOVE+=/usr/bin/pawd
+TO_REMOVE+=/usr/sbin/amd
+TO_REMOVE+=/usr/sbin/amq
+TO_REMOVE+=/usr/sbin/fixmount
+TO_REMOVE+=/usr/sbin/fsinfo
+TO_REMOVE+=/usr/sbin/hlfsd
+TO_REMOVE+=/usr/sbin/mk-amd-map
+TO_REMOVE+=/usr/sbin/wire-test
+TO_REMOVE+=/usr/share/examples/etc/amd.map
+TO_REMOVE+=/usr/share/man/man1/pawd.1.gz
+TO_REMOVE+=/usr/share/man/man5/amd.conf.5.gz
+TO_REMOVE+=/usr/share/man/man7/am-utils.7.gz
+TO_REMOVE+=/usr/share/man/man8/amd.8.gz
+TO_REMOVE+=/usr/share/man/man8/amq.8.gz
+TO_REMOVE+=/usr/share/man/man8/fixmount.8.gz
+TO_REMOVE+=/usr/share/man/man8/fsinfo.8.gz
+TO_REMOVE+=/usr/share/man/man8/hlfsd.8.gz
+TO_REMOVE+=/usr/share/man/man8/mk-amd-map.8.gz
+TO_REMOVE+=/usr/share/man/man8/wire-test.8.gz
 
 .if !defined(WANT_INSTALLER)
 TO_REMOVE+=/usr/sbin/dfuibe_installer
diff --git a/UPDATING b/UPDATING
index 53e423e..ca644a9 100644
--- a/UPDATING
+++ b/UPDATING
@@ -12,6 +12,13 @@
 +         UPGRADING DRAGONFLY FROM 4.4 TO LATER VERSIONS                +
 +-----------------------------------------------------------------------+
 
+AMD REMOVED
+-----------
+
+The amd(8) et al. automounter has been removed. It has never really
+worked (or stopped working properly early). autofs(5) and the associated
+userland has been brought in from FreeBSD instead.
+
 AN DRIVER REMOVED
 -----------------
 
diff --git a/etc/Makefile b/etc/Makefile
index 4ab03c0..d1a5452 100644
--- a/etc/Makefile
+++ b/etc/Makefile
@@ -21,7 +21,7 @@ BINUPDATE+=${.CURDIR}/../usr.bin/mail/misc/mail.rc \
 
 # Initial distribution files are installed read-write (644)
 #
-BIN1=	amd.map auth.conf auto_master \
+BIN1=	auth.conf auto_master \
 	crontab csh.cshrc csh.login csh.logout \
 	devtab dhclient.conf dm.conf dntpd.conf \
 	ftpusers group \
diff --git a/etc/defaults/periodic.conf b/etc/defaults/periodic.conf
index ee36b4b..6cd45e1 100644
--- a/etc/defaults/periodic.conf
+++ b/etc/defaults/periodic.conf
@@ -141,7 +141,6 @@ daily_local="/etc/daily.local"				# Local scripts
 # 450.status-security above.
 daily_status_security_inline="NO"			# Run inline ?
 daily_status_security_output="root"			# user or /file
-daily_status_security_noamd="NO"			# Don't check amd mounts
 daily_status_security_nomfs="NO"			# Don't check mfs mounts
 daily_status_security_logdir="/var/log"			# Directory for logs
 daily_status_security_diff_flags="-b"			# flags for diff output
@@ -151,7 +150,7 @@ daily_status_security_chksetuid_enable="YES"
 
 # 200.chkmounts
 daily_status_security_chkmounts_enable="YES"
-#daily_status_security_chkmounts_ignore="^amd:|^mfs:"	# Don't check matching
+#daily_status_security_chkmounts_ignore="^mfs:"		# Don't check matching
 							# FS types
 
 # 300.chkuid0
diff --git a/etc/defaults/rc.conf b/etc/defaults/rc.conf
index 757aab5..eb3d8e9 100644
--- a/etc/defaults/rc.conf
+++ b/etc/defaults/rc.conf
@@ -150,9 +150,6 @@ ftpd_flags=""			# Flags for ftpd, -D added implicitly.
 ### NOTE: attribute cache timeouts only effect NFS lookup rpc's.  If
 ### the mtime matches the data cache is left intact.
 ###
-amd_enable="NO"			# Run amd service with $amd_flags (or NO).
-amd_flags="-a /.amd_mnt -l syslog /host /etc/amd.map /net /etc/amd.map"
-amd_map_program="NO"		# Can be set to "ypcat -k amd.master"
 autofs_enable="NO"		# Run automountd(8)
 automount_flags=""		# Flags to automount(8) (if autofs enabled).
 automountd_flags=""		# Flags to automountd(8) (if autofs enabled).
diff --git a/etc/newsyslog.conf b/etc/newsyslog.conf
index af62974..61f3517 100644
--- a/etc/newsyslog.conf
+++ b/etc/newsyslog.conf
@@ -1,6 +1,5 @@
 # configuration file for newsyslog
 # $FreeBSD: src/etc/newsyslog.conf,v 1.25.2.12 2003/05/12 23:15:33 gad Exp $
-# $DragonFly: src/etc/newsyslog.conf,v 1.3 2004/09/21 21:25:28 joerg Exp $
 #
 # Entries which do not specify the '/pid_file' field will cause the
 # syslogd process to be signalled when that log file is rotated.  This
@@ -19,7 +18,6 @@
 #
 # logfilename          [owner:group]    mode count size when  flags [/pid_file] [sig_num]
 /var/log/cron				600  3	   100	*     Z
-/var/log/amd.log			644  7	   100	*     Z
 /var/log/auth.log			600  7     100  *     Z
 /var/log/daemon				640  5	   100	*     Z
 /var/log/lpd-errs			644  7	   100	*     Z
diff --git a/etc/periodic/security/200.chkmounts b/etc/periodic/security/200.chkmounts
index 731b02a..42df9a1 100644
--- a/etc/periodic/security/200.chkmounts
+++ b/etc/periodic/security/200.chkmounts
@@ -25,7 +25,6 @@
 # SUCH DAMAGE.
 #
 # $FreeBSD: src/etc/periodic/security/200.chkmounts,v 1.2.2.4 2002/11/07 19:38:46 thomas Exp $
-# $DragonFly: src/etc/periodic/security/200.chkmounts,v 1.2 2003/06/17 04:24:48 dillon Exp $
 #
 
 # Show changes in the way filesystems are mounted
@@ -46,10 +45,6 @@ rc=0
 
 case "$daily_status_security_chkmounts_enable" in
     [Yy][Ee][Ss])
-	case "$daily_status_security_noamd" in
-	    [Yy][Ee][Ss])
-		ignore="${ignore}|^amd:"
-	esac
 	case "$daily_status_security_nomfs" in
 	    [Yy][Ee][Ss])
 		ignore="${ignore}|^mfs:"
diff --git a/etc/rc.d/Makefile b/etc/rc.d/Makefile
index 8428cc4..e317e53 100644
--- a/etc/rc.d/Makefile
+++ b/etc/rc.d/Makefile
@@ -5,8 +5,8 @@
 
 # note: bgfsk and lomac left out (from 5.0)
 #
-FILES=	DAEMON LOGIN NETWORKING SERVERS abi accounting addswap adjkerntz amd \
-	automount automountd autounmountd \
+FILES=	DAEMON LOGIN NETWORKING SERVERS \
+	abi accounting addswap adjkerntz automount automountd autounmountd \
 	bootconf bootparams btconfig bthcid ccd cleanvar cryptdisks \
 	cleartmp cron cryptdisks devd devfs dhclient diskless dmesg dumpon \
 	fixbootfile fsck ftpd hostname hotplugd \
diff --git a/etc/rpc b/etc/rpc
index d3efcbf..114f00a 100644
--- a/etc/rpc
+++ b/etc/rpc
@@ -1,6 +1,5 @@
 #
 # $FreeBSD: src/etc/rpc,v 1.11 2004/06/06 11:46:27 schweikh Exp $
-# $DragonFly: src/etc/rpc,v 1.2 2003/06/17 04:24:45 dillon Exp $
 # rpc 88/08/01 4.0 RPCSRC; from 1.12   99/07/25 SMI
 #
 rpcbind		100000  portmap sunrpc rpcbind
@@ -65,5 +64,4 @@ nisd		100300	rpc.nisd
 nispasswd	100303	rpc.nispasswdd
 ufsd		100233
 pcnfsd		150001	pcnfs
-amd		300019
 sgi_fam		391002		# file alteration monitor
diff --git a/share/examples/etc/README.examples b/share/examples/etc/README.examples
index 989eef6..57d64f7 100644
--- a/share/examples/etc/README.examples
+++ b/share/examples/etc/README.examples
@@ -11,7 +11,6 @@ which can be accessed by `man 5 crontab'.
 
 This directory contains the following files:
 
-amd.map		- configuration file for amd(8)
 auth.conf	- authentication capability database
 auto_master	- autofs(5) configuration file
 crontab		- system scheduled command table
diff --git a/usr.bin/catman/catman.c b/usr.bin/catman/catman.c
index 6984b00..3c406e5 100644
--- a/usr.bin/catman/catman.c
+++ b/usr.bin/catman/catman.c
@@ -209,7 +209,7 @@ directory_type(char *dir)
 
 /*
  * Tests whether the given file name (without a preceding path)
- * is a proper man page name (like "mk-amd-map.8.gz").
+ * is a proper man page name (like "dntpd.8.gz").
  * Only alphanumerics and '_' are allowed after the last '.' and
  * the last '.' can't be the first or last characters.
  */
diff --git a/usr.bin/quota/quota.c b/usr.bin/quota/quota.c
index 551362c..26d100a 100644
--- a/usr.bin/quota/quota.c
+++ b/usr.bin/quota/quota.c
@@ -588,13 +588,6 @@ getnfsquota(struct statfs *fst, struct quotause *qup, long id, int quotatype)
 		return (0);
 	}
 
-	/* Avoid attempting the RPC for special amd(8) filesystems. */
-	if (strncmp(fst->f_mntfromname, "pid", 3) == 0 &&
-	    strchr(fst->f_mntfromname, '@') != NULL) {
-		*cp = ':';
-		return (0);
-	}
-
 	gq_args.gqa_pathp = cp + 1;
 	gq_args.gqa_uid = id;
 	if (callaurpc(fst->f_mntfromname, RQUOTAPROG, RQUOTAVERS,
diff --git a/usr.sbin/Makefile b/usr.sbin/Makefile
index 9dfd899..6ccbc10 100644
--- a/usr.sbin/Makefile
+++ b/usr.sbin/Makefile
@@ -8,7 +8,6 @@ SUBDIR= 802_11 \
 	accton \
 	acpi \
 	adduser \
-	amd \
 	arp \
 	asf \
 	authpf \
diff --git a/usr.sbin/ypserv/Makefile.yp b/usr.sbin/ypserv/Makefile.yp
index 571f18e..7879c16 100644
--- a/usr.sbin/ypserv/Makefile.yp
+++ b/usr.sbin/ypserv/Makefile.yp
@@ -2,7 +2,6 @@
 # Makefile for the NIS databases
 #
 # $FreeBSD: src/usr.sbin/ypserv/Makefile.yp,v 1.38 2006/06/08 09:12:07 maxim Exp $
-# $DragonFly: src/usr.sbin/ypserv/Makefile.yp,v 1.3 2004/01/08 18:39:19 asmodai Exp $
 #
 # This Makefile should only be run on the NIS master server of a domain.
 # All updated maps will be pushed to all NIS slave servers listed in the
@@ -117,7 +116,6 @@ MASTER	  = $(MASTER_PASSWD)
 YPSERVERS = $(YPDIR)/ypservers	# List of all NIS servers for a domain
 PUBLICKEY = $(YPSRCDIR)/publickey
 NETID     = $(YPSRCDIR)/netid
-AMDHOST   = $(YPSRCDIR)/amd.map
 
 # List of maps that are always built.
 # If you want to omit some of them, feel free to comment
@@ -160,12 +158,6 @@ TARGETS+= publickey
 PUBLICKEY= /dev/null
 .endif
 
-.if exists($(AMDHOST))
-TARGETS+= amd.map
-.else
-AMDHOST= /dev/null
-.endif
-
 .if exists($(IPNODES))
 TARGETS+= ipnodes
 .else
@@ -585,24 +577,3 @@ master.passwd.byuid: $(MASTER)
 	@if [ ! $(NOPUSH) ]; then $(YPPUSH) -d $(DOMAIN) $@; fi
 	@if [ ! $(NOPUSH) ]; then echo "Pushed $@ map." ; fi
 .endif
-
-
-amd.map: $(AMDHOST)
-	@echo "Updating $@..."
-	@$(AWK) '$$1 !~ "^#.*"  { \
-	  for (i = 1; i <= NF; i++) \
-	  if (i == NF) { \
-	    if (substr($$i, length($$i), 1) == "\\") \
-	      printf("%s", substr($$i, 1, length($$i) - 1)); \
-	    else \
-	      printf("%s\n", $$i); \
-	  } \
-	  else \
-	    printf("%s ", $$i); \
-	}' $(AMDHOST) | \
-	$(DBLOAD) -i $(AMDHOST) -o $(YPMAPDIR)/$@ - $(TMP); \
-		$(RMV) $(TMP) $@
-	@$(DBLOAD) -c
-	@if [ ! $(NOPUSH) ]; then $(YPPUSH) -d $(DOMAIN) $@; fi
-	@if [ ! $(NOPUSH) ]; then echo "Pushed $@ map." ; fi
-
diff --git a/usr.sbin/ypserv/ypinit.sh b/usr.sbin/ypserv/ypinit.sh
index c96065a..92ba0d0 100644
--- a/usr.sbin/ypserv/ypinit.sh
+++ b/usr.sbin/ypserv/ypinit.sh
@@ -1,6 +1,5 @@
 #!/bin/sh
 # $FreeBSD: src/usr.sbin/ypserv/ypinit.sh,v 1.4 2002/12/30 21:18:15 schweikh Exp $
-# $DragonFly: src/usr.sbin/ypserv/ypinit.sh,v 1.3 2007/05/13 22:25:42 swildner Exp $
 #
 # ypinit.sh - setup a master or slave server.
 # (Taken from OpenBSD and modified for FreeBSD.)
@@ -15,7 +14,7 @@ MAPLIST="master.passwd.byname master.passwd.byuid passwd.byname passwd.byuid \
 	 group.byname group.bygid hosts.byname hosts.byaddr services.byname \
 	 rpc.byname rpc.bynumber networks.byname networks.byaddr netgroup \
 	 netgroup.byuser netgroup.byhost netid.byname publickey.byname \
-	 bootparams ethers.byname ethers.byaddr amd.host mail.aliases \
+	 bootparams ethers.byname ethers.byaddr mail.aliases \
 	 ypservers protocols.byname protocols.bynumber netmasks.byaddr"
 
 ERROR_EXISTS="NO"
-- 
2.8.1

